Loading...
Searching...
No Matches
L4::Ipc::As_value< T > Struct Template Reference

Pass the argument as plain data value. More...

`#include <ipc_types>`

Collaboration diagram for L4::Ipc::As_value< T >:

## Detailed Description

template<typename T>
struct L4::Ipc::As_value< T >

Pass the argument as plain data value.

Template Parameters

  T | The type of the original argument.

As_value<T> is used when T would be otherwise interpreted specially, for example as flexpage. When using As_value<> then the argument is transmitted as plain data element.

Definition at line 116 of file ipc_types.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_types